Bug 123304 - mozilla-1.6-8 doesn't print to correct printer
mozilla-1.6-8 doesn't print to correct printer
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-16 14:24 EDT by Jonathan Kamens
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 12:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-05-16 14:24:42 EDT
I have MOZILLA_POSTSCRIPT_PRINTER_LIST set:

MOZILLA_POSTSCRIPT_PRINTER_LIST='color draft duplex final manual photo '

When I click the Print button in mozilla-1.6-8, all the printers shown
above correctly show up in the list of printers from which I am asked
to choose, but regardless of which one I select, the print job is sent
to the "final" printer.  You might think that the problem is that
mozilla is failing to specify the printer and hence always sending the
job to the default printer, but alas that's not the case -- "final"
isn't my default printer, "draft" is.

This used to work properly.  I don't know when exactly it broke.

I've got all the most recent development and testing Fedora packages,
so it's possible that this problem is attributable to something other
than mozilla.

When I use lpr or lp from the command line, the job goes to the
correct printer.
Comment 1 Jonathan Kamens 2005-05-26 11:58:31 EDT
This is still a problem with current mozilla RPMs.  It's even a problem when I 
get rid of MOZILLA_POSTSCRIPT_PRINTER_LIST and let mozilla get the printer 
list from CUPS (which it supports now but didn't before).  It is puzzling to 
me that a bug like this, which seems to concern a significant piece of broken 
functionality, has remained in the "NEW" state for over a year.
Comment 2 Matěj Cepl 2007-05-24 12:25:07 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue, and Mozilla itself was removed from the
latest Fedora Core/RHEL distributions. Users who have experienced this problem
are encouraged to upgrade their system to the latest version of the equivalent
package (Firefox, Thunderbird, etc.) available. Therefore closing this bug as
obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.

Note You need to log in before you can comment on or make changes to this bug.